%define upstream_name	 Imager
%define upstream_version 1.027

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Perl extension for generating 24 bit images
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Imager/%{upstream_name}-%{upstream_version}.tar.gz
Patch0:     Imager-add-missing-header.patch

BuildRequires: perl(Exporter) >= 5.570.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Scalar::Util) >= 1.0.0
BuildRequires: perl(Test::More) >= 0.990.0
BuildRequires: perl(XSLoader)
BuildRequires: pkgconfig(fontconfig)
BuildRequires: pkgconfig(freetype2)
BuildRequires: pkgconfig(libjpeg)
BuildRequires: pkgconfig(libpng)
BuildRequires: pkgconfig(libtiff-4)
BuildRequires: perl-devel
BuildRequires: t1lib-devel
BuildRequires: giflib-devel
%{?perl_default_filter}

# Imager-1.020 disabled Imager::Font::T1 and Freetype 1.x fonts by default
# Installing Imager no longer installs Imager::Font::T1 by default.
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^perl\\(Imager::Font::T1\\)

%description
Imager is a module for creating and altering images. It can read and write
various image formats, draw primitive shapes like lines,and polygons, blend
multiple images together in various ways, scale, crop, render text and more.

%prep
%autosetup -p1 -n %{upstream_name}-%{upstream_version}

%build
IM_SUPPRESS_PROMPT=1 %__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%install
%make_install

%check
make test

%files
%doc Changes GIF ICO JPEG META.json META.yml MYMETA.yml PNG README SGI TIFF samples
%{perl_vendorarch}/Imager.pm
%{perl_vendorarch}/Imager
%{perl_vendorarch}/auto/Imager
%{_mandir}/*/*

%changelog
* Mon Mar 03 2025 tv <tv> 1.27.0-1.mga10
+ Revision: 2159306
- update to 1.027

* Mon Feb 10 2025 tv <tv> 1.26.0-1.mga10
+ Revision: 2146551
- update to 1.026

* Sat Jan 25 2025 tv <tv> 1.25.0-1.mga10
+ Revision: 2142205
- update to 1.025

* Tue Aug 27 2024 daviddavid <daviddavid> 1.24.0-2.mga10
+ Revision: 2091607
- add patch to fix missing freetype2 header
+ neoclust <neoclust>
- Rebuild against new perl

* Sat Apr 13 2024 tv <tv> 1.24.0-1.1.mga10
+ Revision: 2056892
- update to 1.024

* Mon Jan 22 2024 tv <tv> 1.23.0-1.1.mga10
+ Revision: 2033552
- update to 1.023

* Mon Dec 04 2023 tv <tv> 1.22.0-1.1.mga10
+ Revision: 2012951
- update to 1.022

* Fri Dec 01 2023 tv <tv> 1.20.0-3.mga10
+ Revision: 2012632
- Filter unprovided Imager::Font::T1

* Fri Dec 01 2023 tv <tv> 1.20.0-2.mga10
+ Revision: 2012036
- Rebuild for perl-5.38

* Mon Nov 13 2023 tv <tv> 1.20.0-1.mga10
+ Revision: 2006517
- update to 1.020

* Mon Dec 12 2022 ns80 <ns80> 1.19.0-2.mga9
+ Revision: 1921095
- rebuild for new libtiff

* Mon Jul 11 2022 tv <tv> 1.19.0-1.mga9
+ Revision: 1868429
- update to 1.019

* Wed Jun 22 2022 tv <tv> 1.18.0-1.mga9
+ Revision: 1865465
- update to 1.018

* Wed Jun 15 2022 tv <tv> 1.17.0-1.mga9
+ Revision: 1864496
- update to 1.017

* Mon Jun 13 2022 tv <tv> 1.16.0-1.mga9
+ Revision: 1864263
- update to 1.016

* Tue Jun 07 2022 umeabot <umeabot> 1.15.0-2.mga9
+ Revision: 1861985
- Rebuild for Perl 5.36

* Mon May 09 2022 tv <tv> 1.15.0-1.mga9
+ Revision: 1857098
- update to 1.015

* Thu May 05 2022 tv <tv> 1.14.0-1.mga9
+ Revision: 1856299
- update to 1.014

* Thu Mar 31 2022 umeabot <umeabot> 1.12.0-4.mga9
+ Revision: 1836962
- Mageia 9 Mass Rebuild

* Mon May 24 2021 umeabot <umeabot> 1.12.0-3.mga9
+ Revision: 1726721
- Rebuild for perl 5.34

* Wed Jun 17 2020 umeabot <umeabot> 1.12.0-2.mga8
+ Revision: 1594816
- Rebuild for perl 5.32

* Tue Jun 16 2020 tv <tv> 1.12.0-1.mga8
+ Revision: 1593545
- update to 1.012

* Sun Feb 16 2020 umeabot <umeabot> 1.11.0-3.mga8
+ Revision: 1529503
- Mageia 8 Mass Rebuild

* Tue Aug 27 2019 tmb <tmb> 1.11.0-2.mga8
+ Revision: 1433679
- rebuild for perl 5.30

* Fri Mar 15 2019 tv <tv> 1.11.0-1.mga7
+ Revision: 1377507
- update to 1.011

* Thu Feb 14 2019 tv <tv> 1.10.0-1.mga7
+ Revision: 1367011
- update to 1.010

* Fri Jan 11 2019 tv <tv> 1.9.0-1.mga7
+ Revision: 1355123
- update to 1.009

* Mon Dec 31 2018 tv <tv> 1.8.0-1.mga7
+ Revision: 1347769
- update to 1.008

* Sat Nov 24 2018 tv <tv> 1.7.0-1.mga7
+ Revision: 1333911
- update to 1.007

* Fri Sep 21 2018 umeabot <umeabot> 1.6.0-4.mga7
+ Revision: 1293204
- Mageia 7 Mass Rebuild

* Mon Aug 06 2018 shlomif <shlomif> 1.6.0-3.mga7
+ Revision: 1248353
- Rebuild for new perl 5.28.0

* Mon Oct 02 2017 tv <tv> 1.6.0-2.mga7
+ Revision: 1164905
- rebuild with fixed rpm for missing autodeps

* Mon Sep 25 2017 tv <tv> 1.6.0-1.mga7
+ Revision: 1159536
- update to 1.006

* Thu Aug 31 2017 pterjan <pterjan> 1.5.0-4.mga7
+ Revision: 1149763
- Rebuild for perl ABI changes
+ shlomif <shlomif>
- modernize spec

* Sat Jul 22 2017 neoclust <neoclust> 1.5.0-3.mga7
+ Revision: 1127586
- Rebuild against new Perl 5.26

* Sun Jun 19 2016 pterjan <pterjan> 1.5.0-2.mga6
+ Revision: 1028463
- Rebuild for perl 5.22.2

* Fri Apr 29 2016 shlomif <shlomif> 1.5.0-1.mga6
+ Revision: 1007886
- update to 1.005

* Sun Feb 28 2016 tv <tv> 1.4.0-3.mga6
+ Revision: 980300
- reenable testsuite
- BuildConflicts: giflib-devel as testsuite is broken with giflib-5.x
  (https://bugzilla.redhat.com/show_bug.cgi?id=822844)

* Sun Feb 28 2016 tv <tv> 1.4.0-2.mga6
+ Revision: 980287
- disable testsuite for now so that we can rebuild other packages
+ luigiwalser <luigiwalser>
- 1.004
- rebuild for giflib
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Fri Jun 26 2015 tv <tv> 1.3.0-2.mga6
+ Revision: 844906
- rebuild for soname-ifed perl

* Tue Jun 23 2015 shlomif <shlomif> 1.3.0-1.mga6
+ Revision: 840630
- New version 1.003 + Rebuild for the new perl

* Wed Oct 15 2014 umeabot <umeabot> 1.0.0-4.mga5
+ Revision: 746852
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 1.0.0-3.mga5
+ Revision: 732294
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 1.0.0-2.mga5
+ Revision: 685128
- Mageia 5 Mass Rebuild

* Wed Jul 30 2014 sander85 <sander85> 1.0.0-1.mga5
+ Revision: 658139
- update to 1.000

* Fri Jun 27 2014 sander85 <sander85> 0.990.0-1.mga5
+ Revision: 640329
- update to 0.99
+ jquelin <jquelin>
- perl 5.20.0 rebuild
+ pterjan <pterjan>
- Rebuild for perl 5.20

* Sun Feb 09 2014 sander85 <sander85> 0.980.0-1.mga5
+ Revision: 587319
- update to 0.98

* Sat Oct 19 2013 umeabot <umeabot> 0.970.0-2.mga4
+ Revision: 530045
- Mageia 4 Mass Rebuild

* Mon Jul 15 2013 sander85 <sander85> 0.970.0-1.mga4
+ Revision: 454762
- update to 0.97

* Wed Jun 05 2013 fwang <fwang> 0.960.0-3.mga4
+ Revision: 437428
- update error msg of libpng 1.6
- rebuild for new libpng

* Wed May 29 2013 jquelin <jquelin> 0.960.0-2.mga4
+ Revision: 431579
- perl 5.18.0 rebuild

* Wed May 29 2013 shlomif <shlomif> 0.960.0-1.mga4
+ Revision: 431380
- New version 0.96 + Rebuild for Perl

* Sun Jan 13 2013 umeabot <umeabot> 0.940.0-2.mga3
+ Revision: 368741
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 0.940.0-1.mga3
+ Revision: 342237
- update to 0.94

* Wed Oct 17 2012 jquelin <jquelin> 0.930.0-1.mga3
+ Revision: 307577
- update to 0.93

* Mon Sep 17 2012 jquelin <jquelin> 0.920.0-1.mga3
+ Revision: 295244
- update to 0.92

* Tue Jun 05 2012 jquelin <jquelin> 0.910.0-1.mga3
+ Revision: 255105
- update to 0.91

* Wed May 30 2012 jquelin <jquelin> 0.880.0-2.mga3
+ Revision: 250779
- rebuild for perl 5.16

* Thu Feb 23 2012 jquelin <jquelin> 0.880.0-1.mga2
+ Revision: 213017
- update to 0.88

* Wed Jan 04 2012 jquelin <jquelin> 0.870.0-1.mga2
+ Revision: 190610
- update to 0.87

* Sun Dec 25 2011 fwang <fwang> 0.860.0-2.mga2
+ Revision: 187421
- rebuild for new lbitff

* Wed Nov 09 2011 jquelin <jquelin> 0.860.0-1.mga2
+ Revision: 165825
- update to 0.86

* Mon Sep 19 2011 fwang <fwang> 0.850.0-3.mga2
+ Revision: 145243
- rebuild for new libpng

* Mon Sep 05 2011 fwang <fwang> 0.850.0-2.mga2
+ Revision: 138652
- rebuild for updated perl build flag

* Tue Aug 30 2011 jquelin <jquelin> 0.850.0-1.mga2
+ Revision: 136634
- update to 0.85

* Tue Jun 21 2011 jquelin <jquelin> 0.840.0-1.mga2
+ Revision: 111451
- update to 0.84

* Wed Jun 15 2011 jquelin <jquelin> 0.830.0-1.mga2
+ Revision: 107006
- update to 0.83

* Sun Jun 12 2011 ahmad <ahmad> 0.820.0-2.mga2
+ Revision: 104587
- Rebuild for perl-5.14.0

* Wed Mar 16 2011 jquelin <jquelin> 0.820.0-1.mga1
+ Revision: 72350
- update to 0.82

* Tue Feb 22 2011 jquelin <jquelin> 0.810.0-1.mga1
+ Revision: 56663
- update to 0.79

* Fri Jan 21 2011 jquelin <jquelin> 0.790.0-1.mga1
+ Revision: 30599
- mageia rebuild
- imported package perl-Imager

